ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jon Skeet" <>
Subject RE: [warning inflammatory email] Stagn-ant?
Date Mon, 08 Jul 2002 18:40:57 GMT
> I'm not sure 'ditching 1.1 compatibility' would be a step forward.

In that case that should be decided up front - because it makes a *big* difference.
> Having at least the basic functionality available in 1.1 is 
> important - I'm ok if some tasks or features will not be available,
> but at least compiling and the basic stuff is important.

That means limiting the core API etc to 1.1 stuff. Yuk, IMO.

> I have a zaurus running j2me, and GCJ is not yet fully 1.2 - 
> those are important targets for me.

Ant 1.x will always be available, of course :) Alternatively, you can always compile classes
to target 1.1 for your Zaurus.

> There are good ways to clean up the code and make support for 1.1
> easier - at least what tomcat 3.3 does is reasonably clean, and
> no introspection is required. The curent ant core is reasonably 
> small, and most tasks won't care.

The core is reasonably small, but would (IMO) be greatly improved by getting rid of the 1.1-specific
workarounds and using the container classes properly.


To unsubscribe, e-mail:   <>
For additional commands, e-mail: <>

View raw message